require 'json'

class Fixtures

  def self.gcm_response(name)
    File.read File.join 'test', 'fixtures', "gcm_response", "#{name}.json"
  end

  def self.default_configuration_attrs
    {
      client_id: "1111/client",
      client_secret: "bbbbbbbbbb",
      refresh_token: "aaaaaaaabbbbbbb"
    }
  end

  def self.default_configuration
    Crusade::GCM::Configuration.new default_configuration_attrs
  end

  def self.access_token(name)
    JSON.parse File.read File.join 'test', 'fixtures', "access_token", "#{name}.json"
  end
end